Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2017:2409-1: moderate: Recommended update for mpg123
openSUSE Security Update: Recommended update for mpg123
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:2409-1
Rating: moderate
References: #1056999
Cross-References: CVE-2017-12797
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for mpg123 fixes the following issues:

- Update to version 1.25.6
* Hotfix for bug 255: Overflow reading frame data bits in layer II
decoding. Now, all-zero data is returned if the frame data is
exhausted. This might have a slight impact on performance, but not
easily measurable so far.

- Update to version 1.25.5
* Avoid another buffer read overflow in the ID3 parser on 32 bit
platforms (bug 254). (CVE-2017-12797/boo#1056999)

- Update to version 1.25.4 libmpg123:
* Prevent harmless call to memcpy(NULL, NULL, 0).
* More early checking of ID3v2 encoding values to avoid bogus text being
stored.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2017-1035=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libmpg123-0-1.25.6-7.1
libmpg123-0-debuginfo-1.25.6-7.1
libout123-0-1.25.6-7.1
libout123-0-debuginfo-1.25.6-7.1
mpg123-1.25.6-7.1
mpg123-debuginfo-1.25.6-7.1
mpg123-debugsource-1.25.6-7.1
mpg123-devel-1.25.6-7.1
mpg123-esound-1.25.6-7.1
mpg123-esound-debuginfo-1.25.6-7.1
mpg123-jack-1.25.6-7.1
mpg123-jack-debuginfo-1.25.6-7.1
mpg123-openal-1.25.6-7.1
mpg123-openal-debuginfo-1.25.6-7.1
mpg123-portaudio-1.25.6-7.1
mpg123-portaudio-debuginfo-1.25.6-7.1
mpg123-pulse-1.25.6-7.1
mpg123-pulse-debuginfo-1.25.6-7.1
mpg123-sdl-1.25.6-7.1
mpg123-sdl-debuginfo-1.25.6-7.1

- openSUSE Leap 42.3 (x86_64):

libmpg123-0-32bit-1.25.6-7.1
libmpg123-0-debuginfo-32bit-1.25.6-7.1
libout123-0-32bit-1.25.6-7.1
libout123-0-debuginfo-32bit-1.25.6-7.1
mpg123-devel-32bit-1.25.6-7.1
mpg123-esound-32bit-1.25.6-7.1
mpg123-esound-debuginfo-32bit-1.25.6-7.1
mpg123-jack-32bit-1.25.6-7.1
mpg123-jack-debuginfo-32bit-1.25.6-7.1
mpg123-openal-32bit-1.25.6-7.1
mpg123-openal-debuginfo-32bit-1.25.6-7.1
mpg123-portaudio-32bit-1.25.6-7.1
mpg123-portaudio-debuginfo-32bit-1.25.6-7.1
mpg123-pulse-32bit-1.25.6-7.1
mpg123-pulse-debuginfo-32bit-1.25.6-7.1
mpg123-sdl-32bit-1.25.6-7.1
mpg123-sdl-debuginfo-32bit-1.25.6-7.1


References:

https://www.suse.com/security/cve/CVE-2017-12797.html
https://bugzilla.suse.com/1056999


< Previous Next >
This Thread
  • No further messages